Package ru.bgcrm.model.process.queue

# Class Queue

java.lang.Object
org.bgerp.model.base.Id
org.bgerp.model.base.IdTitle
ru.bgcrm.model.process.queue.Queue

All Implemented Interfaces:
  `Serializable`, `Id<Integer>`, `IdTitle<Integer>`, `Title`

public class Queue extends IdTitle

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `MEDIA_HTML`
  `static final String`
  `MEDIA_HTML_OPEN`
  `static final String`
  `MEDIA_PRINT`
  `static final String`
  `MEDIA_XLS`

  ### Fields inherited from class org.bgerp.model.base.IdTitle

  `title`

  ### Fields inherited from class org.bgerp.model.base.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Queue()`
  `Queue(int id, String title)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Queue`
  `clone()`
  `void`
  `extractFiltersAndSorts()`
  `List<ProcessAction>`
  `getActionList()`
  `List<Column>`
  `getColumnList()`
  `Map<Integer,Column>`
  `getColumnMap()`
  `String`
  `getConfig()`
  `ConfigMap`
  `getConfigMap()`
  `List<IdTitle>`
  `getCreateAllowedProcessList()`
  `FilterList`
  `getFilterList()`
  `LastModify`
  `getLastModify()`
  `List<MediaColumn>`
  `getMediaColumnList(String media)`
  `List<MediaColumn>`
  `getMediaColumnList(List<String> columnIds)`
  `String`
  `getOpenUrl()`
  `Processor`
  `getProcessor(int id)`
  Selects a processor by ID.
  `Processor`
  `getProcessorByPageUrl(String url)`
  Selects a processor by a page URL.
  `List<Processor>`
  `getProcessors(String iface)`
  Processors for interface.
  `Set<Integer>`
  `getProcessTypeIds()`
  `SortSet`
  `getSortSet()`
  `void`
  `replaceRowsForMedia(DynActionForm form, String media, List<Object[]> list)`
  `void`
  `replaceRowsForMediaColumns(DynActionForm form, List<Object[]> list, List<MediaColumn> mediaColumns, boolean isHtmlMedia)`
  Replaces initial rows with cells ordered by configured columns to rows ordered by media columns.
  `void`
  `setConfig(String config)`
  `void`
  `setLastModify(LastModify lastModify)`
  `void`
  `setProcessTypeIds(Set<Integer> processTypes)`

  ### Methods inherited from class org.bgerp.model.base.IdTitle

  `getTitle, setTitle, toString, unknown`

  ### Methods inherited from class org.bgerp.model.base.Id

  `equals, getId, hashCode, setId`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.bgerp.model.base.iface.Id

  `getId`

- ## Field Details

  - ### MEDIA_HTML

    public static final String MEDIA_HTML
    See Also:
      - Constant Field Values

  - ### MEDIA_HTML_OPEN

    public static final String MEDIA_HTML_OPEN
    See Also:
      - Constant Field Values

  - ### MEDIA_PRINT

    public static final String MEDIA_PRINT
    See Also:
      - Constant Field Values

  - ### MEDIA_XLS

    public static final String MEDIA_XLS
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Queue

    public Queue()

  - ### Queue

    public Queue(int id, String title)

- ## Method Details

  - ### getConfig

    public String getConfig()

  - ### clone

    public Queue clone()
    Overrides:
      `clone` in class `Object`

  - ### getMediaColumnList

    public List<MediaColumn> getMediaColumnList(String media) throws javassist.NotFoundException
    Throws:
      `javassist.NotFoundException`

  - ### getMediaColumnList

    public List<MediaColumn> getMediaColumnList(List<String> columnIds) throws javassist.NotFoundException
    Throws:
      `javassist.NotFoundException`

  - ### replaceRowsForMedia

    public void replaceRowsForMedia(DynActionForm form, String media, List<Object[]> list) throws SQLException, javassist.NotFoundException
    Throws:
      `SQLException`
      `javassist.NotFoundException`

  - ### replaceRowsForMediaColumns

    public void replaceRowsForMediaColumns(DynActionForm form, List<Object[]> list, List<MediaColumn> mediaColumns, boolean isHtmlMedia) throws SQLException
    Replaces initial rows with cells ordered by configured columns to rows ordered by media columns. During that also extracted additional cell data for some cases.
    Parameters:
      `form` - user HTTP request form.
      `list` - initial rows, ordered by configured columns.
      `mediaColumns` - media columns, ordered by displaying.
      `isHtmlMedia` - is the target media HTML.
    Throws:
      `SQLException`

  - ### getConfigMap

    public ConfigMap getConfigMap()

  - ### setConfig

    public void setConfig(String config)

  - ### getProcessTypeIds

    public Set<Integer> getProcessTypeIds()

  - ### setProcessTypeIds

    public void setProcessTypeIds(Set<Integer> processTypes)

  - ### getColumnList

    public List<Column> getColumnList()

  - ### getColumnMap

    public Map<Integer,Column> getColumnMap()

  - ### getFilterList

    public FilterList getFilterList()

  - ### getProcessor

    public Processor getProcessor(int id)
    Selects a processor by ID.
    Parameters:
      `id` - the ID.
    Returns:
      the found processor or `null`.

  - ### getProcessors

    public List<Processor> getProcessors(String iface)
    Processors for interface.
    Parameters:
      `iface` - value from `Interface`.
    Returns:
      list of processors.

  - ### getProcessorByPageUrl

    public Processor getProcessorByPageUrl(String url)
    Selects a processor by a page URL.
    Parameters:
      `url` - the page URL.
    Returns:
      the found processor or `null`.

  - ### getSortSet

    public SortSet getSortSet()

  - ### getActionList

    public List<ProcessAction> getActionList()

  - ### getCreateAllowedProcessList

    public List<IdTitle> getCreateAllowedProcessList()
    Returns:
      list of process types, allowed to be created in 'usermob' interface.

  - ### getLastModify

    public LastModify getLastModify()

  - ### setLastModify

    public void setLastModify(LastModify lastModify)

  - ### getOpenUrl

    public String getOpenUrl()

  - ### extractFiltersAndSorts

    public void extractFiltersAndSorts() throws Exception
    Throws:
      `Exception`